<?xml version="1.0" encoding="gb2312"?>
<xs:schema xmlns="http://www.h3c.com/netconf/data:1.0"
           xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:base="http://www.h3c.com/netconf/base:1.0"
           targetNamespace="http://www.h3c.com/netconf/data:1.0"
           elementFormDefault="qualified">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"/>
  <xs:annotation>
    <xs:documentation>
      define elements of netconfig data table for STP module
    </xs:documentation>
  </xs:annotation>
  <xs:element name="STP">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="Base" minOccurs="0">
          <xs:annotation>
            <xs:documentation>STP Global configuration information that specifies the set based on system</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="Enable" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>
                    This element controls, on the local system, whether or not stp is enabled.
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:Boolean"/>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Mode" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The spanning-tree working modes:
                         0--STP; 2--RSTP; 3--MSTP; 4--PVST;
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="0"></xs:enumeration>
                      <xs:enumeration value="2"></xs:enumeration>
                      <xs:enumeration value="3"></xs:enumeration>
                      <xs:enumeration value="4"></xs:enumeration>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="BPDUProtect" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>indicate whether BPDU-protect function is enabled.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:Boolean"/>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="TcProtect" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>indicate whether TC-protect function is enabled.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:Boolean"/>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="TcThreshold" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The max TCs that will be processed within the TC-protection period.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="1"></xs:minInclusive>
                      <xs:maxInclusive value="255"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="PathCostMethod" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The path cost calculation method:
                         0--Leagcy; 1--IEEE 802.1D-1998; 2--IEEE 802.1t;
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="0"></xs:enumeration>
                      <xs:enumeration value="1"></xs:enumeration>
                      <xs:enumeration value="2"></xs:enumeration>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="HelloTime" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The intervals in seconds.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="1"></xs:minInclusive>
                      <xs:maxInclusive value="10"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="MaxHops" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The maximum hops.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="1"></xs:minInclusive>
                      <xs:maxInclusive value="40"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="MaxAge" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The maximum message age.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="6"></xs:minInclusive>
                      <xs:maxInclusive value="40"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="ForwardDelay" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The forward delay timer in seconds.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="4"></xs:minInclusive>
                      <xs:maxInclusive value="30"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="TcSnooping" type="base:Boolean" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>Control whether TC-snooping function is enabled.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="DigestSnooping" type="base:Boolean" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>Control whether digest-snooping function is enabled.</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Region" minOccurs="0">
          <xs:annotation>
            <xs:documentation>The region configuration information of MST</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="Name" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>MST region name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:minLength value ="1"></xs:minLength>
                      <xs:maxLength value ="32"></xs:maxLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="RevisionLevel" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The revision level of a MST region configuration</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="0"></xs:minInclusive>
                      <xs:maxInclusive value="65535"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="FormatSelector" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The format selector of the MST region configuration:
                             0--indicate the format specified in 802.1Q;
                             others--unknown;
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32"/>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="ConfigDigest" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>The current configuration digest calculated from the VLAN allocation:
                             A MD5 digest with a fixed-length of 34 octets;
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:OctectString">
                      <xs:length value="34"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="StiVlans" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Allocation of VLANs per STI</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="StiVlan" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="StiId" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The index of a STI</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VlanList" nillable="true" minOccurs="0" type="base:VlanRange">
                      <xs:annotation>
                        <xs:documentation>The VLANs mapped to a STI</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="STIs" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Configuration information per STIs</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="STI" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="StiId" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The index of a STI</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Priority" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The priority of a STI, which should be zero or a multiple of 4096.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="61440"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RootType" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The root type configuration:
                          0--Normal(not configured); 1--Secondary root; 2--Primary root;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"></xs:enumeration>
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="BridgeId" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The bridge identifier of a spanning-tree in otects.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:OctectString">
                            <xs:length value ="18"></xs:length>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="TCs" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Topology change informations per spanning-tree,including ReceiveTcOrTcn and LastTcTime.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="ReceiveTcOrTcn" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of received TCsor TCNs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="LastTcTime" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The last time when a TC is received or detected.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RootVector" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Root priority vector ,including RootBridgeId, ExtPathCost,
                           DesignateBridgeId, IntPathCost and RootPort.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="RootId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The bridge identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="ExtPathCost" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The external root path cost.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="RegionRootId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The bridge identifier of region root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="IntPathCost" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The internal root path cost.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="DesignateBridgeId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The designated bridge identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="DesignatePortId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The designated port identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="8"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="RootPort" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Ifindex of the root port,from which the root information is received.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Interfaces" minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              STP Port configuration information that specifies the set of ports on local system
            </xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The index of a Interface</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:IfIndex"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Enable" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Indicate whether STP is enabled on a port.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Boolean"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="EdgedPort" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Indicate whether a port is configured as edged-port.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Boolean"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="OperEdgedPort" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Indicate whether a port is operational edged-port.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Boolean"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RootProtect" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Indicate whether the root-protection function is enabled.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Boolean"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="LoopProtect" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Indicate whether the loop-protection function is enabled.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Boolean"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PointToPoint" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Indicate the configured point-to-point status of a port:
                         1--Force-true; 2--Force-false; 3--Auto-negotiated by the link;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="OperPointToPoint" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Indicate the current point-to-point status of a port.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Boolean"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RoleRestrict" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>whether the role-restriction function is enabled</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Boolean"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="TcRestrict" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>whether the TC-restriction function is enabled</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Boolean"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ProtectDown" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Interface protection shutdown status:
                         0-¡ªNot shutdown; 1-¡ªEdge Port down; 2¡ªPVST BPDU down;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"></xs:enumeration>
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="DigestSnooping" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>whether the digest-snooping function is enabled</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Boolean"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="TransmitHoldCount" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The transmit hold count on an interface</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="255"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PortTimes" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Port times, including HelloTime, ForwardDelay,
                            MaxAge and MessageAge.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="HelloTime" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The hello intervals of the port.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="10"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="ForwardDelay" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The forward delay timer.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="4"></xs:minInclusive>
                                  <xs:maxInclusive value="30"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="MaxAge" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The maximum message age of the port message.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="6"></xs:minInclusive>
                                  <xs:maxInclusive value="40"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="MessageAge" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The message age of the port message.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PortBpduCount" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>BPDU counts of the interface</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="TxMstBpdu" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of transmitted MST BPDUs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="RxMstBpdu" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of received MST BPDUs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="TxRstBpdu" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of transmitted RST BPDUs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="RxRstBpdu" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of received RST BPDUs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="TxConfigBpdu" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of transmitted 802.1D STP configuration BPDUs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="RxConfigBpdu" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of received 802.1D STP configuration BPDUs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="TxTcn" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of transmitted TCN BPDUs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="RxTcn" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of received TCN BPDUs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="RxInvalidBpdu" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of received invalid BPDUs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="LastInvalidBpduTime" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The last time inseconds, when an invalid BPDU received.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="StiInterfaces" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Configuration information per STIs on an interface</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="StiInterface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="StiId" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The index of a STI</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IfIndex" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The index of an Interface</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:IfIndex"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Priority" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The port-priority of a STI, which should be zero or a multiple of 16.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="240"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PathCost" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The path cost configuration of a STI on a port</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="200000000"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="OperPathCost" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The Operational path cost configuration of a STI on a port</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="200000000"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Role" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The port role per STI.
                               0: Disabled port;
                               1: Alternate port;
                               2: Backup port;
                               3: Root port;
                               4: Designated port;
                               5: Master port;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"></xs:enumeration>
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                            <xs:enumeration value="4"></xs:enumeration>
                            <xs:enumeration value="5"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="State" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The port state per STI.
                               1: Discarding port;
                               2: Learning port;
                               3: Forwarding port;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ProtectBlock" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The blocked reason for some protection functions, which is present in bitwise as following:
                               0x01: Root protect;
                               0x02: Loop protect;
                               0x04: Loopback protect;
                               0x08: Dispute protect;
                               0x10: Port type inconsistent;
                               0x20: PVID inconsistent;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RapidTransit" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Whether the spanning-tree forwarded rapidly on the interface.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="RemainHops" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The remaining hops of the port message.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PortVector" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Port priority vector ,including RootId, ExtPathCost,
                           RegionRootId, IntPathCost,DesignateBridgeId and DesignatePortId.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="RootId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The bridge identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="ExtPathCost" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The external root path cost.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="RegionRootId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The bridge identifier of MST region root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="IntPathCost" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The internal root path cost.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="DesignateBridgeId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The designated bridge identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="DesignatePortId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The designated port identifier.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="8"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="RcvdPortId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The spanning-tree port identifier</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value="8"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="VLANs" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Configuration information per VLANs</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="VLAN" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VlanId" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The index of a VLAN</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Enable" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>PVST feature status.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Priority" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The priority of a STI, which should be zero or a multiple of 4096.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="61440"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RootType" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The root type configuration:
                          0--Normal(not configured); 1--Secondary root; 2--Primary root;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"></xs:enumeration>
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="BridgeTimes" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Protocol timers informations per spanning-tree,including HelloTime,
                          MaxAge, ForwardDelay.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="HelloTime" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The hello intervals of the bridge in seconds.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="10"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="MaxAge" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The maximum message age of the bridge.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="6"></xs:minInclusive>
                                  <xs:maxInclusive value="40"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="ForwardDelay" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The forward delay time of the bridge in seconds.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="4"></xs:minInclusive>
                                  <xs:maxInclusive value="30"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="BridgeId" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The bridge identifier of a spanning-tree in otects.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:OctectString">
                            <xs:length value ="18"></xs:length>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="TCs" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Topology change informations per spanning-tree,including ReceiveTcOrTcn and LastTcTime.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="ReceiveTcOrTcn" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Count of received TCsor TCNs.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="LastTcTime" type="base:UnsignedInteger64" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The last time when a TC is received or detected.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RootVector" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Root priority vector ,including RootBridgeId,
                           RootPathCost, DesignateBridgeId and RootPort.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="RootBridgeId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The bridge identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="RootPathCost" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The root path cost.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="DesignateBridgeId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The designated bridge identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="DesignatePortId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The designated port identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="8"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="RootPort" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Ifindex of the root port,from which the root information is received.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="VlanInterfaces" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Information per VLAN on an interface</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="VlanInterface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VlanId" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The index of a VLAN</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IfIndex" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The index of an Interface</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:IfIndex"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Priority" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The port-priority of a VLAN, which should be zero or a multiple of 16.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="240"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PathCost" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The path cost configuration of a VLAN on a port</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="200000000"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="OperPathCost" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The path cost configuration of a VLAN on a port</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="200000000"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Role" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The port role per VLAN.
                               0: Disabled port;
                               1: Alternate port;
                               2: Backup port;
                               3: Root port;
                               4: Designated port;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"></xs:enumeration>
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                            <xs:enumeration value="4"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="State" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The port state per VLAN.
                               1: Discarding port;
                               2: Learning port;
                               3: Forwarding port;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ProtectBlock" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The blocked reason for some protection functions, which is present in bitwise as following:
                               0x01: Root protect;
                               0x02: Loop protect;
                               0x04: Loopback protect;
                               0x08: Dispute protect;
                               0x10: Port type inconsistent;
                               0x20: PVID inconsistent;
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RapidTransit" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Whether the spanning-tree forwarded rapidly on the interface.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PortTimes" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Port times, including HelloTime, ForwardDelay,
                            MaxAge and MessageAge.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="HelloTime" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The hello intervals of the port.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="10"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="ForwardDelay" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The forward delay timer.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="4"></xs:minInclusive>
                                  <xs:maxInclusive value="30"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="MaxAge" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The maximum message age of the port message.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="6"></xs:minInclusive>
                                  <xs:maxInclusive value="40"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="MessageAge" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The message age of the port message.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PortVector" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Port priority vector ,including RootBridgeId, RootPathCost,
                           , DesignateBridgeId and DesignatePortId.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="RootId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The bridge identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="RootPathCost" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The root path cost.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="DesignateBridgeId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The designated bridge identifier of root.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="18"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="DesignatePortId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The designated port identifier.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value ="8"></xs:length>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="RcvdPortId" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>The spanning-tree port identifier</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:length value="8"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
